/* Create Java Faces OS/2 Warp Desktop objects                      */
/*                                                                  */
/* This code is FREE to be modified and used in ANYTHING you'd like */
/* PROVIDING that you're REXX SCRIPT also be FREE and reusable!!    */
/*   duanec@ibm.net                             dAc 6/2/96  v4.1    */
Call RxFuncAdd 'SysLoadFuncs', 'REXXUTIL','SysLoadFuncs'
Call SysLoadFuncs
ThisDir=directory()
parse upper value VALUE('PATH',,'OS2ENVIRONMENT') with '\JAVA11' -2 Jloc +9
/* parse value VALUE('CLASSPATH',,'OS2ENVIRONMENT') with curcp */

aTitle   = 'Java Faces'
aObjID   = 'J_FACES'
aCPath   = 'lib\javafaces.jar^;'
aClass   = 'com.jthomas.javafaces.JavaFaces'
aExtra   = 'ICONFILE='ThisDir'\facesos2.ICO;'


/* aOptions = '-Djava_compiler=none'  */
aOptions = ''

aURL     = 'http://www.cruzio.com/~jthomas/javafaces/index.html'
aReadMe  = 'faces.opt'

/* Get the JavaMail jar location */
getpath:
Say 'Please enter the FULL path to the JavaMail JAR file,'
Say 'Ex: c:\somewhere\javamail-1.0.2\mail.jar'
Say "(Just press enter if you don't use JavaMail)"
parse pull JavaMail .
If JavaMail<>"" then
   do
      call SysFileTree JavaMail,'junk'
      if Junk.0=0 then do 
         say "!Can't find "JavaMail"!"
         signal getpath
      end /* do */
      else
         aCPath = aCpath||JavaMail
   end 

/* Create the folder */
If SysCreateObject('WPFolder', aTitle, '<WP_DESKTOP>',,
       'OBJECTID=<'aObjID'_FLD>;OPEN=DEFAULT;'||,
       'ALWAYSSORT=YES;','U')=0 then
   do
      say aTitle' Folder could not be created'
      exit(1)
   end


/* Create the program */
If SysCreateObject('WPProgram', aTitle, '<'aObjID'_FLD>',,
       'OBJECTID=<'aObjID'>;PROGTYPE=PM;EXENAME=JAVAPM.EXE;'||,
       'PARAMETERS=-classpath 'Jloc'\lib\classes.zip^;'||,
       '.\'aCPath' 'aOptions' 'aClass';'||,
       'STARTUPDIR='ThisDir';'aExtra,'U')=0 then
   do
      say aTitle' Object could not be created'
      exit(1)
   end

/* Create the debug program */
If SysCreateObject('WPProgram', aTitle'^(debug)', '<'aObjID'_FLD>',,
       'OBJECTID=<'aObjID'_DEBUG>;PROGTYPE=WINDOWABLEVIO;EXENAME=*;'||,
       'PARAMETERS=/c JAVA.EXE -classpath 'Jloc'\lib\classes.zip^;'||,
       '.\'aCPath' 'aClass' -d & E.EXE debug.txt;'||,
       'STARTUPDIR='ThisDir';'aExtra,'U')=0 then
   do
      say aTitle' Debug Object could not be created'
      exit(1)
   end

/* Create a Web link */
If SysCreateObject('WPUrl', aTitle'^Homepage', '<'aObjID'_FLD>',,
       'OBJECTID=<'aObjID'_URL>;URL='aURL';','U')=0 then
   do
      say aTitle' Homepage link could not be created'
      exit(1)
   end

/* Create a file link */
If SysCreateObject('WPShadow', aTitle'^Readme', '<'aObjID'_FLD>',,
       'OBJECTID=<'aObjID'_READ>;SHADOWID='ThisDir'\'aReadMe';','U')=0 then
   do
      say aTitle' Readme could not be created'
      exit(1)
   end

exit

